/**********************************
 * 共通パーツ部分の調整
 **********************************/
.main.bookingform2 .page-title__info,
.main.bookingform2 .page-details {
  background: #D0E5F4;
}
.main.bookingform2 .page-details {
  padding-top: 40px;
}
@media screen and (max-width: 767.98px) {
  .main.bookingform2 .page-title__info {
    display: none;
  }
  .main.bookingform2 .page-title__img {
  background: #D0E5F4;
    position: relative;
  }
  .main.bookingform2 .page-title__img::before {
    content: '';
    position: absolute;
    background: #f8f8f8;
    top: 0;
    left: 0;
    right: 0;
    height: 40vw;
  }
  .main.bookingform2 .page-details {
    padding-top: 0;
  }
}


/**********************************
 * ページコンテンツ部分
 **********************************/
.bookingform2-cont {
  background: #fff;
  padding: 33px 90px 46px;
}
@media screen and (max-width: 767.98px) {
  .bookingform2-cont {
    padding: 40px 15px;
  }
}


/**********************************
 * 予約フローパーツ
 **********************************/
.reservation-flow {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  padding: 1px;
  gap: 1px;
  background: #666;
}

.reservation-flow__item {
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 15px;
  line-height: 1;
  padding: 16px 0;
  box-sizing: border-box;
  position: relative;
}

.reservation-flow__item-txt01 {
  padding-right: 24px;
  position: relative;
  font-family: 'Nunito', sans-serif;
  margin-top: 2px;
}

.reservation-flow__item-txt01::after {
  content: '';
  position: absolute;
  width: 1px;
  height: 9px;
  right: 12px;
  top: 50%;
  transform: translateY(-50%);
  background: #666;
}

.reservation-flow__item.is-active {
  top: -1px;
  left: -1px;
  width: calc(100% + 2px);
  height: calc(100% + 2px);
  background: linear-gradient(to right bottom, #90CAF9, #4D9EDE);
  color: #fff;
}

.reservation-flow__item.is-active .reservation-flow__item-txt01::after {
  background: #fff;
}

@media screen and (max-width: 767.98px) {
  .reservation-flow__item {
    padding: 9px 0;
  }

  .reservation-flow__item-txt01 {
    display: none;
  }
}


/**********************************
 * フォームに関するメッセージ
 **********************************/
.bookingform2-notice {
  background: #f4f4f4;
  padding: 15px 20px;
  font-size: 16px;
  line-height: 1.8;
  border-radius: 5px;
  margin-top: 20px;
}

@media screen and (max-width: 767.98px) {
  .bookingform2-notice {
    padding: 10px 15px;
    font-size: 14px;
  }
}


/**********************************
 * フォームコンテナ
 **********************************/
.bookingform2-form {
  margin-top: 30px;
}


/**********************************
 * フォームセクション
 **********************************/
.bookingform2-sec + .bookingform2-sec {
  margin-top: 44px;
}

.bookingform2-sec__ttl {
  max-width: 232px;
  margin: 0 auto;
  text-align: center;
  background: #D0E5F4;
  font-size: 18px;
  padding: 1px 0;
}

@media screen and (max-width: 767.98px) {
  .bookingform2-sec__ttl {
    max-width: none;
    font-size: 16px;
  }
}


/**********************************
 * フィールド行
 **********************************/
.bookingform2-field {
  border-bottom: solid 1px #C1C1C1;
  display: grid;
  grid-template-columns: 210px 1fr;
  gap: 20px;
  padding: 30px 0;
  position: relative;
}

.bookingform2-field__ttl-txt {
  position: relative;
  padding-left: 14px;
  line-height: 1.5;
}

.bookingform2-field__ttl-txt::before {
  content: '';
  position: absolute;
  width: 6px;
  height: 6px;
  left: 0;
  top: 10px;
  border-radius: 50%;
  background: #4D9EDE;
}

.bookingform2-field__ttl-name {
  display: inline;
}

.bookingform2-field__ttl-tag {
  display: inline-block;
  font-size: 12px;
  line-height: 1;
  border-radius: 4px;
  padding: 4px 6px;
  background: linear-gradient(to right bottom, #90CAF9, #4D9EDE);
  color: #fff;
  margin-left: 5px;
}

.bookingform2-field.is-ok::after {
  content: '';
  position: absolute;
  right: -30px;
  top: 32px;
  width: 23px;
  height: 23px;
  background: url('../assets/images/bookingform/ok.webp') center / contain no-repeat;
}

.bookingform2-field--hidden {
  display: none;
}

.bookingform2-field__note {
  position: relative;
  line-height: 1.5;
  margin-top: 10px;
  font-size: 14px;
  color: #eb5e5e;
  font-weight: 700;
  padding-left: 16px;
}

.bookingform2-field__note::before {
  content: '※';
  position: absolute;
  left: 0;
}

@media screen and (max-width: 767.98px) {
  .bookingform2-field {
    display: block;
    padding: 20px 0;
  }

  .bookingform2-field__ttl {
    margin-bottom: 15px;
  }

  .bookingform2-field__ttl-tag {
    vertical-align: 1px;
  }

  .bookingform2-field.is-ok::after {
    right: 0px;
    top: 23px;
  }
}


/**********************************
 * 日時フィールド行レイアウト
 **********************************/
.bookingform2-field-datetime {
  display: flex;
  gap: 16px;
}
@media screen and (max-width: 767.98px) {
  .bookingform2-field-datetime {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }
}


/**********************************
 * 時間選択フィールド
 **********************************/
.bookingform2-field-datetime__item--select {
  position: relative;
}

.bookingform2-field-datetime__item--select::after {
  content: '';
  position: absolute;
  right: 13px;
  top: 50%;
  transform: translateY(-50%) translateY(2px);
  width: 12.73px;
  height: 7.36px;
  background: url('../assets/images/bookingform/select-arrow.svg') center / contain no-repeat;
  pointer-events: none;
}


/**********************************
 * フィールドコントロール
 **********************************/

.bookingform2-field__controll input[type="text"],
.bookingform2-field__controll input[type="email"],
.bookingform2-field__controll input[type="date"],
.bookingform2-field__controll textarea,
.bookingform2-field-datetime__item--select select {
  appearance: none;
  border: none;
  width: 100%;
  background: #F8F8F8;
  font-size: 15px;
  font-family: sans-serif;
  padding: 14px 18px;
  box-sizing: border-box;
  display: block;
  line-height: 1.4;
}

.bookingform2-field__controll input[type="date"]::-webkit-calendar-picker-indicator {
  display: none;
}

.bookingform2-field__controll textarea {
  resize: vertical;
  height: 200px;
}

.bookingform2-field__controll input.w-200,
.bookingform2-field-datetime__item--select.w-200 {
  width: 200px;
}

@media screen and (max-width: 767.98px) {
  .bookingform2-field__controll input[type="text"],
  .bookingform2-field__controll input[type="email"],
  .bookingform2-field__controll input[type="date"],
  .bookingform2-field__controll textarea,
  .bookingform2-field-datetime__item--select select {
    font-size: 16px;
    padding: 14px 15px;
  }

  .bookingform2-field__controll input.w-200,
  .bookingform2-field-datetime__item--select.w-200 {
    width: 100%;
  }
}


/**********************************
 * 選択フィールド
 **********************************/
.bookingform2-field-choices__choice {
  line-height: 1.5;
}

.bookingform2-field-choices__choice + .bookingform2-field-choices__choice {
  margin-top: 14px;
}

.bookingform2-field-choices__choice-note {
  display: block;
}

@media screen and (max-width: 767.98px) {
  .bookingform2-field-choices__choice + .bookingform2-field-choices__choice {
    margin-top: 10px;
  }

  .bookingform2-field-choices__choice-note {
    font-size: 12px;
    line-height: 1.5;
  }
}



/**********************************
 * radio
 **********************************/
.bookingform2-field-radio {
  position: relative;
  padding-left: 24px;
  display: block;
}

.bookingform2-field-radio__check {
  position: absolute;
  left: 0;
  top: 4px;
  border: solid 2px #C1C1C1;
  border-radius: 4px;
  width: 18px;
  height: 18px;
  box-sizing: border-box;
}

.bookingform2-field-radio__check::after {
  position: absolute;
  top: 0px;
  left: 2px;
  width: 16px;
  height: 11.23px;
  background: url('../assets/images/bookingform/check.svg') center / contain no-repeat;
}

.bookingform2-field-radio:has(input:checked) .bookingform2-field-radio__check::after {
  content: '';
}

.bookingform2-field-radio__wrap-input {
  position: absolute;
  left: 0;
  clip-path: rect(0 0 0 0);
}


.bookingform2-attendant-yes {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 10px;
}


/**********************************
 * 同伴者人数選択
 **********************************/
.bookingform2-attendant-select {
  position: relative;
  width: fit-content;
  max-width: 100%;
}

.bookingform2-attendant-select::after {
  content: '';
  position: absolute;
  right: 13px;
  top: 50%;
  transform: translateY(-50%) translateY(2px);
  width: 12.73px;
  height: 7.36px;
  background: url('../assets/images/bookingform/select-arrow.svg') center / contain no-repeat;
  pointer-events: none;
}

.bookingform2-attendant-select select {
  appearance: none;
  font-size: 16px;
  border: solid 1px #C1C1C1;
  color: #666;
  padding: 6px 50px 6px 10px;
  max-width: 100%;
}


/**********************************
 * 駐車場説明
 **********************************/
.bookingform2-parking {
  line-height: 1.7;
}


/**********************************
 * 送信ボタン
 **********************************/
.bookingform2-submit {
  text-align: center;
  margin-top: 48px;
}

.bookingform2-submit input[type="submit"] {
  appearance: none;
  border: none;
  background: linear-gradient(to right bottom, #90CAF9, #4D9EDE);
  font-family: "Kiwi Maru", serif;
  font-size: 16px;
  color: #fff;
  width: 360px;
  height: 60px;
  max-width: 100%;
  cursor: pointer;
  transition: opacity .2s ease;
}

.bookingform2-submit input[type="submit"]:hover {
  opacity: .8;
}

@media screen and (max-width: 767.98px) {
  .bookingform2-submit {
    margin-top: 24px;
  }
}


/**********************************
 * 必須カウンタ
 **********************************/
.bookingform2-follow {
  position: fixed;
  width: 286px;
  right: 27px;
  bottom: 52px;
  background: #fff;
  border: solid 1px #4D9EDE;
  border-radius: 6px;
  overflow: hidden;
  box-sizing: border-box;
  text-align: center;
  line-height: 1.4375;
  opacity: 0;
  visibility: hidden;
  transition: opacity .2s ease, visibility .2s ease;
}

.bookingform2-follow.is-show {
  opacity: 1;
  visibility: visible;
}

.bookingform2-follow__txt01 {
  padding: 22px 0;
}

.bookingform2-follow__txt02 {
  background: #4D9EDE;
  color: #fff;
  padding: 12px 0;
}

@media screen and (max-width: 767.98px) {
  .bookingform2-follow {
    bottom: 0;
    left: 0;
    right: 0;
    width: auto;
    border-radius: 0;
  }

  .bookingform2-follow__txt01 {
    display: none;
  }

  .bookingform2-follow__txt02 {
    padding: 8px 0;
  }
}


/**********************************
 * 入力エラーメッセージ
 **********************************/
.bookingform2-field__error {
  color: #ff6868;
  margin-top: 4px;
}


/**********************************
 * サンクスページ
 **********************************/
.bookingform2-thanks {
  margin-top: 30px;
}

.bookingform2-thanks a {
  color: rgb(75 147 204);
  text-decoration: underline;
}